{"openapi":"3.0.1","info":{"title":"A1 Third Party API","version":"1.0.0","description":"\n# A1 API documentation. \n\n---\n\nDescribes the 3rd Party Integrator's API details.\n\nSteps\n\n  * Use AMI provided credentials to make POST auth request to get JWT\n  * Use JWT in response as bearer token in other API's\n\n![JWTFlow](https://storage.googleapis.com/blog-images-backup/0*iS5eKdJLJvLLDsKd)\n"},"paths":{"/accessHolder":{"post":{"tags":["Access holders - Secured Access holder API's"],"summary":"Inserts Access holder for given facility {facility}","description":"Inserts Access holder","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accessholder_post"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accessholder_post"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Accessholder_post"}}}},"responses":{"200":{"description":"Access holder created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderDTO"}}}},"409":{"description":"Access holder exists"}}},"put":{"tags":["Access holders - Secured Access holder API's"],"summary":"Updates an existing Access holder","description":"Updates Access holder","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accessholder_update"}},"text/json":{"schema":{"$ref":"#/components/schemas/Accessholder_update"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Accessholder_update"}}}},"responses":{"200":{"description":"Accessholder_updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderDTO"}}}}}}},"/accessHolder/{accountNumber}":{"get":{"tags":["Access holders - Secured Access holder API's"],"summary":"Gets Access holder for given facility {facility}","description":"Gets Access holder","parameters":[{"name":"accountNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Access holder found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderGetDTO"}}}},"400":{"description":"Bad input parameter"}}}},"/accessHolder/contract":{"get":{"tags":["Access holders - Secured Access holder API's"],"summary":"Gets contract access holders for given facility {facility}","description":"Gets a list of contract access holders","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Access holders not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccessHolderGetDTO"}}}}},"400":{"description":"Bad input parameter"}}}},"/accessHolder/{accessHolderID}":{"delete":{"tags":["Access holders - Secured Access holder API's"],"summary":"Delete's an existing accessHolder for given {accessHolderID}","description":"Delete's existing Access holder","parameters":[{"name":"accessHolderID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Access holder succesfully deleted"},"400":{"description":"Bad input parameter"}}}},"/accessHolder/{accessHolderID}/mode/{modeName}":{"put":{"tags":["Access holders - Secured Access holder API's"],"summary":"Updates Mode for the given Access holder and facility","description":"Updates Access holder Mode","parameters":[{"name":"accessHolderID","in":"path","description":"ID of the Access holder","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"modeName","in":"path","description":"Name of the mode. Can be 'normal', 'locked', 'override', 'override-ap' or 'inactive'","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Access holder mode updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderModeDTO"}}}},"400":{"description":"Bad input parameter"}}}},"/accessHolder/{accessHolderID}/status/{statusName}":{"put":{"tags":["Access holders - Secured Access holder API's"],"summary":"Updates Status for the given Access holder and facility","description":"Updates Access holder Status","parameters":[{"name":"accessHolderID","in":"path","description":"ID of the Access holder","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"statusName","in":"path","description":"Name of the status. Can be 'in', 'out' or 'neutral'","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Access holder status updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderStatusDTO"}}}},"400":{"description":"Bad input parameter"}}}},"/accessHolder/{accessHolderID}/date/start":{"put":{"tags":["Access holders - Secured Access holder API's"],"summary":"Updates StartDate for the given Access holder and facility","description":"Updates Access holder Start Date","parameters":[{"name":"accessHolderID","in":"path","description":"ID of the Access holder","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Request containing the start date to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderStartDateDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/AccessHolderStartDateDTO"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AccessHolderStartDateDTO"}}}},"responses":{"200":{"description":"Access holder start date updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderStartDateDTO"}}}},"400":{"description":"Bad input parameter"}}}},"/accessHolder/{accessHolderID}/date/end":{"put":{"tags":["Access holders - Secured Access holder API's"],"summary":"Updates End Date for the given Access holder and facility","description":"Updates Access holder End Date","parameters":[{"name":"accessHolderID","in":"path","description":"ID of the Access holder","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Request containing the end date to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderEndDateDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/AccessHolderEndDateDTO"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AccessHolderEndDateDTO"}}}},"responses":{"200":{"description":"Access holder end date updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessHolderEndDateDTO"}}}},"400":{"description":"Bad input parameter"}}}},"/token":{"post":{"tags":["Integrators - Authentication for Integrators"],"summary":"Authentication of Integrator","description":"Verify Integrator and return JWT for API authentication","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}},"text/json":{"schema":{"$ref":"#/components/schemas/Token"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}}}},"401":{"description":"Invalid authentication"}}}},"/counts/differential":{"get":{"tags":["Counts - Secured Count API's"],"summary":"Returns occupancy data for a singular facility. Overall, contract, and transient counts as well as access group utilization.","parameters":[{"name":"facility","in":"header","description":"The ID of the facility to lookup","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OccupancyCountsDTO"}}}}}}}},"/device/command":{"post":{"tags":["Device Control"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceCommandDTO"}},"text/json":{"schema":{"$ref":"#/components/schemas/DeviceCommandDTO"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DeviceCommandDTO"}}}},"responses":{"200":{"description":"Success"}}}},"/facilities":{"get":{"tags":["Facilities - Secured information API's"],"summary":"List of Facilities for requesting integrator","description":"Provides a list of facilities that integrators have access to {facility in header}","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Facility"}}}}}}},"/facilities/{facilityID}":{"get":{"tags":["Facilities - Secured information API's"],"parameters":[{"name":"facilityID","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success"}}}},"/pass":{"post":{"tags":["Pass - Secured Pass API's "],"summary":"Insert parking pass for given Facility {facility}","description":"Inserts parking pass","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pass"}},"text/json":{"schema":{"$ref":"#/components/schemas/Pass"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Pass"}}}},"responses":{"200":{"description":"Pass created"},"400":{"description":"Invalid Access Group"},"409":{"description":"Pass exists"}}},"put":{"tags":["Pass - Secured Pass API's "],"summary":"Update parking pass for given Facility {facility}","description":"Update parking pass","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pass"}},"text/json":{"schema":{"$ref":"#/components/schemas/Pass"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Pass"}}}},"responses":{"200":{"description":"Pass updated"},"400":{"description":"Invalid Access Group"},"409":{"description":"Pass doesn't exist"}}}},"/pass/{passID}":{"get":{"tags":["Pass - Secured Pass API's "],"summary":"Retrieve Pass based on PassID","description":"Get Pass information based on PassID for a specific Facility","parameters":[{"name":"passID","in":"path","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Pass found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pass"}}}},"400":{"description":"Bad input parameter"}}},"delete":{"tags":["Pass - Secured Pass API's "],"summary":"Void parking pass","description":"Void parking pass","parameters":[{"name":"passID","in":"path","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Pass voided"},"409":{"description":"Pass not found"}}}},"/validation":{"post":{"tags":["Validation - Secured Validation API's"],"summary":"Insert validation","description":"Inserts validation","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Validation"}},"text/json":{"schema":{"$ref":"#/components/schemas/Validation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Validation"}}}},"responses":{"200":{"description":"Validation created"},"409":{"description":"Validation exists"}}},"put":{"tags":["Validation - Secured Validation API's"],"summary":"Update validation","description":"Updates validation","parameters":[{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Validation"}},"text/json":{"schema":{"$ref":"#/components/schemas/Validation"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Validation"}}}},"responses":{"200":{"description":"Validation updated"},"409":{"description":"Validation doesn't exist"}}}},"/validation/{validationID}":{"get":{"tags":["Validation - Secured Validation API's"],"summary":"Retrieve Validation based on ValidationID","description":"Get Validation information based on ValidationID for specific Facility","parameters":[{"name":"validationID","in":"path","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","description":"Facility","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Validation found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Validation"}}}},"400":{"description":"Bad input parameter"}}},"delete":{"tags":["Validation - Secured Validation API's"],"summary":"Void Validation","description":"Void Validation","parameters":[{"name":"validationID","in":"path","required":true,"schema":{"type":"string"}},{"name":"facility","in":"header","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Validation voided"},"409":{"description":"Validation not found"}}}},"/accessgroups":{"get":{"tags":["Access Groups - Secured information API's"],"summary":"List of Access Groups available at a given facility","description":"","parameters":[{"name":"facility","in":"header","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccessGroups"}}}}}}}},"/transactions/{entityid}":{"get":{"tags":["Transaction - Secured Transaction API's "],"summary":"Retrieve transactions based on date range, facility ID, entityID and optional transaction type","description":"The date range from Start to End must not exceed 31 days","parameters":[{"name":"facility","in":"header","description":"facility ID for authorization","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"entityid","in":"path","description":"Entity ID of facility, tenant, or device for transaction data","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"start","in":"query","description":"The starting date time to search from","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"end","in":"query","description":"The ending date time to search to","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"type","in":"query","description":"Type of transaction. Can be empty, 'void', 'cancel', or 'void,cancel'","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transactions"}}}}}}}},"components":{"schemas":{"Accessgroup_post":{"required":["accessGroupID"],"type":"object","properties":{"accessGroupID":{"type":"string","format":"uuid"}},"additionalProperties":false},"AccessGroups":{"type":"object","properties":{"accessGroupID":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/AccessGroupType"}},"additionalProperties":false},"Accessholder_accessgroups":{"type":"object","properties":{"accessGroupID":{"type":"string","format":"uuid"}},"additionalProperties":false},"Accessholder_post":{"required":["accessGroups","accountNumber","contactInfo","credentials","mode"],"type":"object","properties":{"accountNumber":{"type":"string"},"active":{"type":"boolean"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"status":{"$ref":"#/components/schemas/IoStatus"},"mode":{"$ref":"#/components/schemas/AccessHolderMode"},"contactInfo":{"$ref":"#/components/schemas/Contact_post"},"accessGroups":{"type":"array","items":{"$ref":"#/components/schemas/Accessgroup_post"}},"credentials":{"type":"array","items":{"$ref":"#/components/schemas/Credential_post"}},"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/Vehicle_post"},"nullable":true},"company":{"type":"string","nullable":true}},"additionalProperties":false},"Accessholder_update":{"required":["accessHolderID","accountNumber","contactInfo","contract","mode"],"type":"object","properties":{"accessHolderID":{"type":"string","format":"uuid"},"accountNumber":{"type":"string"},"active":{"type":"boolean"},"status":{"$ref":"#/components/schemas/IoStatus"},"mode":{"$ref":"#/components/schemas/AccessHolderMode"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"contactInfo":{"$ref":"#/components/schemas/Contact"},"accessGroups":{"type":"array","items":{"$ref":"#/components/schemas/Accessholder_accessgroups"},"nullable":true},"credentials":{"type":"array","items":{"$ref":"#/components/schemas/Credential"},"nullable":true},"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/Vehicle"},"nullable":true},"contract":{"$ref":"#/components/schemas/Contract"},"company":{"type":"string","nullable":true}},"additionalProperties":false},"AccessGroupOccupancyDTO":{"type":"object","properties":{"accessGroupID":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"occupancy":{"type":"integer","format":"int32"}},"additionalProperties":false},"AccessGroupType":{"type":"integer","description":"<p>Enum Values:</p>0: <i>Unset</i><br/>1: <i>Normal</i><br/>2: <i>FlexibleParkingAccount</i><br/>3: <i>SharedAccounts</i><br/>4: <i>ValetPairing</i><br/>","format":"int32","example":"0"},"AccessHolderDTO":{"type":"object","properties":{"accountNumber":{"type":"string","nullable":true},"subscriberID":{"type":"string","format":"uuid","nullable":true},"active":{"type":"boolean"},"accessHolderID":{"type":"string","format":"uuid"},"contractID":{"type":"string","format":"uuid","nullable":true},"entityID":{"type":"string","format":"uuid"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"status":{"$ref":"#/components/schemas/IoStatus"},"mode":{"$ref":"#/components/schemas/AccessHolderMode"},"contractType":{"type":"string","nullable":true},"contactInfo":{"$ref":"#/components/schemas/Contact"},"accessGroups":{"type":"array","items":{"$ref":"#/components/schemas/Accessholder_accessgroups"},"nullable":true},"credentials":{"type":"array","items":{"$ref":"#/components/schemas/Credential"},"nullable":true},"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/Vehicle"},"nullable":true},"contract":{"$ref":"#/components/schemas/Contract"},"company":{"type":"string","nullable":true}},"additionalProperties":false},"AccessHolderEndDateDTO":{"type":"object","properties":{"date":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"AccessHolderGetDTO":{"type":"object","properties":{"accountNumber":{"type":"string","nullable":true},"subscriberID":{"type":"string","format":"uuid"},"active":{"type":"boolean"},"accessHolderID":{"type":"string","format":"uuid"},"contractID":{"type":"string","format":"uuid"},"entityID":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/IoStatus"},"mode":{"$ref":"#/components/schemas/AccessHolderMode"},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"contractType":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"contactInfo":{"$ref":"#/components/schemas/Contact"},"accessGroups":{"type":"array","items":{"$ref":"#/components/schemas/Accessholder_accessgroups"},"nullable":true},"credentials":{"type":"array","items":{"$ref":"#/components/schemas/Credential"},"nullable":true},"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/Vehicle"},"nullable":true},"contract":{"$ref":"#/components/schemas/Contract_get"}},"additionalProperties":false},"AccessHolderMode":{"type":"integer","description":"<p>Enum Values:</p>1: <i>Normal</i><br/>2: <i>Locked</i><br/>3: <i>Override</i><br/>4: <i>OverrideAP</i><br/>5: <i>Inactive</i><br/>","format":"int32","example":"1"},"AccessHolderModeDTO":{"type":"object","properties":{"mode":{"type":"string","nullable":true}},"additionalProperties":false},"AccessHolderStartDateDTO":{"type":"object","properties":{"date":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"AccessHolderStatusDTO":{"type":"object","properties":{"status":{"type":"string","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"postalCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"Contact":{"required":["contactID"],"type":"object","properties":{"contactID":{"type":"string","format":"uuid"},"isPrimary":{"type":"boolean"},"licensePlate":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"entityID":{"type":"string","format":"uuid"},"emails":{"type":"array","items":{"$ref":"#/components/schemas/Email"},"nullable":true},"phoneNumbers":{"type":"array","items":{"$ref":"#/components/schemas/Phone"},"nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/Address"},"nullable":true}},"additionalProperties":false},"Contact_post":{"required":["firstName"],"type":"object","properties":{"isPrimary":{"type":"boolean"},"licensePlate":{"type":"string","nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string","nullable":true},"entityID":{"type":"string","format":"uuid"},"emails":{"type":"array","items":{"$ref":"#/components/schemas/Email"},"nullable":true},"phoneNumbers":{"type":"array","items":{"$ref":"#/components/schemas/Phone"},"nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/Address"},"nullable":true}},"additionalProperties":false},"ContactInfo":{"type":"object","properties":{"contactID":{"type":"string","format":"uuid"},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"licensePlate":{"type":"string","nullable":true}},"additionalProperties":false},"Contract":{"required":["contractID"],"type":"object","properties":{"contractID":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Contract_get":{"type":"object","properties":{"contractID":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"lastUse":{"type":"string","format":"date-time","nullable":true},"subscriberID":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Credential":{"type":"object","properties":{"credentialID":{"type":"string","format":"uuid"},"credentialReference":{"type":"string","nullable":true},"credentialType":{"$ref":"#/components/schemas/CredentialType"},"systemCode":{"type":"string","nullable":true,"example":"7 (Required for Prox.  Barcode does not accept a system code)"}},"additionalProperties":false},"Credential_post":{"required":["credentialReference","credentialType"],"type":"object","properties":{"credentialReference":{"type":"string"},"credentialType":{"$ref":"#/components/schemas/CredentialType"},"systemCode":{"type":"string","nullable":true,"example":"7 (Required for Prox.  Barcode does not accept a system code)"}},"additionalProperties":false},"CredentialType":{"type":"integer","description":"<p>Enum Values:</p>1: <i>Ticket</i><br/>6: <i>Barcode</i><br/>7: <i>Prox</i><br/>","format":"int32","example":"0"},"DeviceCommandDTO":{"type":"object","properties":{"command":{"type":"string","nullable":true},"payload":{"nullable":true}},"additionalProperties":false},"Email":{"type":"object","properties":{"emailAddress":{"type":"string","nullable":true}},"additionalProperties":false},"Facility":{"type":"object","properties":{"facilityID":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"facilityName":{"type":"string","nullable":true,"example":"Downtown Garage"}},"additionalProperties":false},"IoStatus":{"type":"integer","description":"Enumeration of IO Status<p>Enum Values:</p>1: <i>In</i><br/>2: <i>Out</i><br/>3: <i>Neutral</i><br/>","format":"int32","example":"1"},"OccupancyCountsDTO":{"type":"object","properties":{"facilityID":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"overall":{"$ref":"#/components/schemas/SupplyDemandCountsDTO"},"contract":{"$ref":"#/components/schemas/SupplyDemandCountsDTO"},"transient":{"$ref":"#/components/schemas/SupplyDemandCountsDTO"},"accessGroups":{"type":"array","items":{"$ref":"#/components/schemas/AccessGroupOccupancyDTO"},"nullable":true}},"additionalProperties":false},"Pass":{"type":"object","properties":{"passID":{"type":"string","nullable":true},"activationDate":{"type":"string","format":"date-time"},"expirationDate":{"type":"string","format":"date-time"},"credential":{"type":"string","nullable":true},"value":{"type":"number","format":"double"},"usesAvailable":{"type":"integer","format":"int32"},"contact":{"$ref":"#/components/schemas/ContactInfo"},"creationDate":{"type":"string","format":"date-time"},"status":{"$ref":"#/components/schemas/IoStatus"},"accessGroups":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"passThru":{"type":"string","description":"Configurable identifier for grouping of prepaid passes","nullable":true}},"additionalProperties":false},"Payments":{"type":"object","properties":{"paymenttype":{"type":"string","nullable":true},"amount":{"type":"number","format":"double"},"creditcardnumber":{"type":"string","nullable":true},"validationname":{"type":"string","nullable":true}},"additionalProperties":false},"Phone":{"type":"object","properties":{"number":{"type":"string","nullable":true}},"additionalProperties":false},"SupplyDemandCountsDTO":{"type":"object","properties":{"available":{"type":"integer","format":"int32"},"occupied":{"type":"integer","format":"int32"}},"additionalProperties":false},"Token":{"type":"object","properties":{"clientID":{"type":"string","nullable":true},"clientSecret":{"type":"string","nullable":true}},"additionalProperties":false},"TokenResponse":{"type":"object","properties":{"access_Token":{"type":"string","nullable":true,"example":"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbGllbnRfaWQiOiJ0ZXN0Y2xpZW50IiwiZXhwIjoxNjE5NTMyNDQyLCJuYmYiOjE2MTk1MzE1NDIsImlhdCI6UTYxOTUzMTU0Mn0.MFAV76ncH8o566DLr6lkuAmqNioqRHe4kfPjBdbOaZvHbFls_XU8kLYBHCUcUxSHBJhUidMfcQYMlPsBEFWV6Kn9tKl2Y5zWCLrekKJB9BjBoxo24FNCqf_7hBN-sm21_IZclJQgiTCfCy04rVBfas1l4JFcDMyIWFnEjoMytz4IAeGBFPMmpT6OPNr9deTWs6WnFAa0ISVGHkJMBRzv-AG_DjYs-eW0PIIuaNI8hulOzux_28YM16fEy5WH3G3y6dB-fYPMZJ6Z6quToBbiJSi2psm-QUnmrRxE-ekCuCzJtHBIFUZEupXNLyK3NEuU7kSJV1-Y4d0xYp08c_1Rhw"},"expires_In":{"type":"integer","format":"int64","example":1619531542108},"token_Type":{"type":"string","nullable":true,"example":"bearer"}},"additionalProperties":false},"Transactions":{"type":"object","properties":{"credential":{"type":"string","nullable":true},"sequenceNum":{"type":"integer","format":"int32","nullable":true},"activityType":{"type":"string","nullable":true},"deviceName":{"type":"string","nullable":true},"direction":{"type":"string","nullable":true},"allowed":{"type":"boolean"},"result":{"type":"string","nullable":true},"facilityName":{"type":"string","nullable":true},"gross":{"type":"number","format":"double"},"net":{"type":"number","format":"double"},"activityDate":{"type":"string","format":"date-time"},"transactionType":{"type":"string","nullable":true},"parkingTransactionid":{"type":"integer","format":"int32"},"rate":{"type":"string","nullable":true},"accountNumber":{"type":"string","nullable":true},"payments":{"type":"array","items":{"$ref":"#/components/schemas/Payments"},"nullable":true}},"additionalProperties":false},"Validation":{"type":"object","properties":{"validationID":{"type":"string","nullable":true},"validationAccountName":{"type":"string","nullable":true},"validationOffer":{"type":"string","nullable":true},"activationDate":{"type":"string","format":"date-time"},"expirationDate":{"type":"string","format":"date-time"},"credential":{"type":"string","nullable":true},"value":{"type":"number","format":"double"},"usesAvailable":{"type":"integer","format":"int32"},"contact":{"$ref":"#/components/schemas/ContactInfo"},"usedDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Vehicle":{"type":"object","properties":{"vehicleID":{"type":"string","format":"uuid"},"make":{"type":"string","nullable":true},"model":{"type":"string","nullable":true},"licenseNumber":{"type":"string","nullable":true},"vehicleYear":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"useAsCredential":{"type":"boolean"},"vehicleType":{"type":"string","nullable":true}},"additionalProperties":false},"Vehicle_post":{"type":"object","properties":{"make":{"type":"string","nullable":true},"model":{"type":"string","nullable":true},"licenseNumber":{"type":"string","nullable":true},"vehicleYear":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"useAsCredential":{"type":"boolean"},"vehicleType":{"type":"string","nullable":true}},"additionalProperties":false}}}}